Retrieve a role
GET
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.
merchant_id*stringThe ID of the merchant, or self for the merchant of the credentials.
role_id*stringFormat
uuidThe role.
application/json- response
id?stringFormat
uuidcreated?stringFormat
date-timemodified?|Format
date-timename*stringdescription?stringpermissions?Path permissions, see Permissions.
field_permissions?Field permissions per resource and field, see
Permissions. projects is the only resource.
curl -X GET 'https://api.example.com/v1/merchants/self/roles/3367941d-75a2-4193-a8ab-add781d5f7f4/' \ --user "$API_KEY:"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "modified": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "permissions": { "property1": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true }, "property2": { "GET": true, "POST": true, "PUT": true, "DELETE": true, "*": true } }, "field_permissions": { "property1": { "property1": { "read": true, "write": true }, "property2": { "read": true, "write": true } }, "property2": { "property1": { "read": true, "write": true }, "property2": { "read": true, "write": true } } }}